<template>
  <div class="LatestRestaurantsComponent">
    <div class="title mt-4 mx-3">
       <h6><b>Restaurants</b></h6>
       <p></p>
    </div>


  <div class="main-div">
    <div class="row mx-2 card-list">
      <div class="col-6 mb-2" v-for="restaurant in restaurants" :key="restaurant.id">
        <b-card
          @click="clickRestaurant(restaurant)"
          img-src="https://picsum.photos/600/300/?image=25"
          style="max-width: 12rem;"
        >
          <b-card-text class="restaurant-card">

            <h6>{{ restaurant.name }}</h6>
            {{ restaurant.rate }} stars <br>
            à {{ restaurant.distance }} km - {{ restaurant.livraison }}€ de livraison


          </b-card-text>
        </b-card>
      </div>
    </div>

   <!-- <div class="my-auto arrow-div mx-1" style="height: 100%;">
      <div class="row">
          <div class="col-1">
            <b-icon class="" variant="dark" icon="arrow-left-circle-fill" style="font-size: 1.5em;"></b-icon>
          </div>
          <div class="col-10"></div>
        
          <div class="col-1">
            <b-icon class="" variant="dark" icon="arrow-right-circle-fill" style="font-size: 1.5em;"></b-icon>
          </div>
      </div>
    </div>-->


  </div>

    
  
  </div>
</template>

<script lang="ts">
import router from '@/router';
import Vue from 'vue';
import { mapActions, mapGetters } from 'vuex';

export default Vue.extend({
  name: 'RestaurantsListComponent',
  props: {

  },

  methods: {
    ...mapActions(["selectRestaurant"]),

    clickRestaurant(restaurant: any){
      if(localStorage.isConnected){
        this.selectRestaurant(restaurant)
        router.push('restaurant')
      }else{
        router.push('login')
      }
    }
  },

  computed: {
    ...mapGetters([
      'restaurants'
    ])
  },

  created() {
    this.$store.dispatch('getRestaurantsList');
  },

  

});
</script>

<style scoped>
.restaurant-card{
  font-size: 12px;
}

.arrow-div{
  z-index: 1;
  height: 100%;
}

.card-list{
  position: absolute;
}

.main-div{
  position: relative;
}
</style>
